оптические свойства каждой грани детали

Автор Дмитрий C, 18.02.08, 11:36:48

« предыдущая - следующая »

0 Пользователей и 1 гость просматривают эту тему.

Дмитрий C

18.02.08, 11:36:48 Последнее редактирование: 18.02.08, 11:48:01 от Администратор
Нужно посмотреть оптические свойства каждой грани детали, а он выводит всей детали. Вот текст подскажите где ошибка.
part:=ksPart(iDocument3D.GetPart(pTop_Part));
collect:=ksEntityCollection(part.EntityCollection(o3d_face));
kolgran:=collect.GetCount;
if collect<>nil then
begin
   for j:=0 to kolgran-1 do
   begin
   FACE:=ksEntity(collect.GetByIndex(j));
   face.GetDefinition();
   if (face<>nil) and (face.type_=6) then
   begin
      face.getAdvancedColor(ncv,cv[1],cv[2],cv[3],cv[4],cv[5],cv[6]);
      face.Update;
    end;
   end;
end;
С уважением Дмирий.